[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.AdjustClientRect

Excludes borders from the given rectangle.

## Declaration

Source position: forms.pp line 632

`protected procedure TCustomForm.AdjustClientRect(`
`var Rect: TRect`
`); override;`

## Arguments

`Rect` |  | Client rectangle adjusted in the method.

## Description

AdjustClientRect is an overridden method in TCustomForm which re-implements the method from the ancestor class. It is used to decrease the width and height for the client rectangle specified in Rect by the number of pixels in the BorderWidth property. It is used in the AlignControls method, and when auto-sizing is performed for Controls.

## See also

TWinControl.AdjustClientRect |  | Override this method when the ClientRect for a control differs from the default value.